# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499125

Name:           glista
Version:        0.4
Release:        3%{?dist}
Summary:        Simple personal to-do list manager or task tracking tool

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://prematureoptimization.org/glista/
Source0:        http://glista.googlecode.com/files/glista-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel libxml2-devel desktop-file-utils

%description
Glista aims to be a very simple personal to-do list manager or task tracking 
tool that does what it's supposed to, and does not get in your way. The main 
focus of Glista is on staying a very simple tool.

Glista is based on the Gtk+ graphical toolkit, which means it will integrate 
best with the GNOME desktop and other Gtk+ based desktop environments, but 
will also run well on other environments such as KDE.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
desktop-file-install \
  --add-category=GTK \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# install additional autostart file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart
desktop-file-install \
  --add-category=GTK \
  --add-category=TrayIcon \
  --add-only-show-in=GNOME \
  --dir=$RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart \
  ui/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/glista
%{_datadir}/applications/glista.desktop
%{_datadir}/glista/
%{_sysconfdir}/xdg/autostart/glista.desktop


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-2
- Add autostart for GNOME
- Fix macros

* Tue May 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4-1
- Update to 0.4

* Thu Aug 28 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Tue Aug 26 2008 Christoph Wickert <cwickert@fedoraproject.otg> - 0.1-1
- Initial Fedora package
